{
    attributes = (
        {
            columnName = "DCO_KEY"; 
            externalType = NUMBER; 
            name = dcoKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DCO_LETTRE"; 
            externalType = VARCHAR2; 
            name = dcoLettre; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DCO_LIBELLE"; 
            externalType = VARCHAR2; 
            name = dcoLibelle; 
            valueClassName = NSString; 
            width = 128; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DCO_SIGLE"; 
            externalType = VARCHAR2; 
            name = dcoSigle; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (dcoKey, dcoLettre, dcoLibelle, dcoSigle, dCreation, dModification); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EODomaineCompetence"; 
    classProperties = (
        dcoLettre, 
        dcoLibelle, 
        dcoSigle, 
        dCreation, 
        dModification, 
        tosFamilleProfessionnelle
    ); 
    externalName = "GRHUM.DOMAINE_COMPETENCE_PRO_OLD"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkpers_DomaineCompetence"; 
    primaryKeyAttributes = (dcoKey); 
    relationships = (
        {
            deleteRule = EODeleteRuleCascade; 
            destination = "Fwkpers_FamilleProfessionnelle"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = dcoKey; sourceAttribute = dcoKey; }); 
            name = tosFamilleProfessionnelle; 
        }
    ); 
}
